Package org.codehaus.groovy.classgen.asm

# Class ClosureWriter

java.lang.Object
org.codehaus.groovy.classgen.asm.ClosureWriter

Direct Known Subclasses:
  `StaticTypesClosureWriter`

public class ClosureWriter extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static interface`
`ClosureWriter.UseExistingReference`

## Constructor Summary

Constructors
Constructor
Description
`ClosureWriter(WriterController wc)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addGeneratedClosureConstructorCall(ConstructorCallExpression call)`
`protected ClassNode`
`createClosureClass(ClosureExpression expression, int mods)`
`protected Parameter[]`
`getClosureSharedVariables(ClosureExpression ce)`
`ClassNode`
`getOrAddClosureClass(ClosureExpression expression, int mods)`
`static void`
`loadReference(String name, WriterController controller)`
`void`
`writeClosure(ClosureExpression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClosureWriter

public ClosureWriter(WriterController wc)

## Method Details

### writeClosure

public void writeClosure(ClosureExpression expression)

### loadReference

public static void loadReference(String name, WriterController controller)

### getOrAddClosureClass

public ClassNode getOrAddClosureClass(ClosureExpression expression, int mods)

### createClosureClass

protected ClassNode createClosureClass(ClosureExpression expression, int mods)

### addGeneratedClosureConstructorCall

public boolean addGeneratedClosureConstructorCall(ConstructorCallExpression call)

### getClosureSharedVariables

protected Parameter[] getClosureSharedVariables(ClosureExpression ce)